Subject: Re: amplifying qdisc

From: Stephen Hemminger <[email-masked]>
Date: Wed, 8 Jul 2020 23:26:34 -0700

On Thu, 9 Jul 2020 16:10:34 +1000
Russell Strong <[email-masked]> wrote:

> Hi,
> 
> I'm attempting to fill a link with background traffic that is sent
> whenever the link is idle.  To do this I've creates a qdisc that will
> repeat the last packet in the queue for a defined number of times
> (possibly infinite in the future). I am able to control the contents of
> the fill traffic by sending the occasional packet through this qdisc.
> 
> This is works as the root qdisc and below a TBF.  When I try it as a
> leaf of HTB unexpected behaviour ensues.  I suspect my approach is
> violating some rules for qdiscs?  Any help/ideas/pointers would be
> appreciated.

Netem can already do things like this. Why not add to that